Re: OT: missing tlmgr in Linux distros (was 'Re: LyX 1.6.7 Packages for Ubuntu')

2010-09-29 Thread Liviu Andronic
On Fri, Sep 10, 2010 at 10:27 AM, Liviu Andronic landronim...@gmail.com wrote: Is there really no easy way to have tlmgr alongside Debian/Ubuntu-provided TeXLive binaries? Regards Liviu PS For those concerned, there is an Ubuntu Idea [1] where you can vote on this issue. [1]

Re: OT: missing tlmgr in Linux distros (was 'Re: LyX 1.6.7 Packages for Ubuntu')

2010-09-29 Thread Liviu Andronic
On Fri, Sep 10, 2010 at 10:27 AM, Liviu Andronic landronim...@gmail.com wrote: Is there really no easy way to have tlmgr alongside Debian/Ubuntu-provided TeXLive binaries? Regards Liviu PS For those concerned, there is an Ubuntu Idea [1] where you can vote on this issue. [1]

Re: OT: missing tlmgr in Linux distros (was 'Re: LyX 1.6.7 Packages for Ubuntu')

2010-09-29 Thread Liviu Andronic
On Fri, Sep 10, 2010 at 10:27 AM, Liviu Andronic wrote: > Is there really no easy way to have tlmgr alongside > Debian/Ubuntu-provided TeXLive binaries? Regards > Liviu > > PS For those concerned, there is an Ubuntu Idea [1] where you can vote > on this issue. > [1]

OT: missing tlmgr in Linux distros (was 'Re: LyX 1.6.7 Packages for Ubuntu')

2010-09-10 Thread Liviu Andronic
Dear all Even if it's quite off-topic for lyx-users, re-opening an old discussion. On Fri, Aug 20, 2010 at 4:33 PM, Jürgen Spitzmüller sp...@lyx.org wrote: Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files

OT: missing tlmgr in Linux distros (was 'Re: LyX 1.6.7 Packages for Ubuntu')

2010-09-10 Thread Liviu Andronic
Dear all Even if it's quite off-topic for lyx-users, re-opening an old discussion. On Fri, Aug 20, 2010 at 4:33 PM, Jürgen Spitzmüller sp...@lyx.org wrote: Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files

OT: missing tlmgr in Linux distros (was 'Re: LyX 1.6.7 Packages for Ubuntu')

2010-09-10 Thread Liviu Andronic
Dear all Even if it's quite off-topic for lyx-users, re-opening an old discussion. On Fri, Aug 20, 2010 at 4:33 PM, Jürgen Spitzmüller wrote: > Sven Hoexter wrote: >> The Problem is that you often end up with a mess because some third party >> installers/package manager overwrite

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-21 Thread Guenter Milde
On 2010-08-20, Julien Rioux wrote: On 20/08/2010 10:49 AM, Rob Oakes wrote: Which brings me to the question in the front of my mind. Should we create another Ubuntu/Debian package for LyX that doesn't require the system LaTeX packages? Seconded. At least with the internal HTML export, LaTeX

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-21 Thread Guenter Milde
On 2010-08-20, Julien Rioux wrote: On 20/08/2010 10:49 AM, Rob Oakes wrote: Which brings me to the question in the front of my mind. Should we create another Ubuntu/Debian package for LyX that doesn't require the system LaTeX packages? Seconded. At least with the internal HTML export, LaTeX

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-21 Thread Guenter Milde
On 2010-08-20, Julien Rioux wrote: > On 20/08/2010 10:49 AM, Rob Oakes wrote: >> Which brings me to the question in the front of my mind. Should we >> create another Ubuntu/Debian package for LyX that doesn't require the >> system LaTeX packages? Seconded. At least with the internal HTML

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Liviu Andronic
Hello Rob On Tue, Aug 17, 2010 at 6:45 PM, Rob Oakes rob.oa...@oak-tree.us wrote: PS, if there is interest from the developer/user community, I would also be happy to create a PPA for the latest alpha of LyX 2 (or we on the betas yet?).  To prevent it from destroying your system, though, I

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Liviu Andronic
On Fri, Aug 20, 2010 at 2:40 AM, Julien Rioux jri...@physics.utoronto.ca wrote: FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. That's very strange. Why would they block this? Liviu -- Do you know how to

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread ehud.kap...@gmail.com
I have had the same question about the TexLive package manager (tlmgr) for a while now. When you install tl2009 on Windows you get tlmgr. In Linux you don't (unless you install from sources, apparently). Ehud Kaplan On 8/20/2010 6:23 AM, Liviu Andronic wrote: On Fri, Aug 20, 2010 at 2:40

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Liviu Andronic wrote: FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. That's very strange. Why would they block this? The argument, AFAIU, is that the distributors do not want yet another package

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Sven Hoexter
On Fri, Aug 20, 2010 at 12:53:32PM +0200, Jürgen Spitzmüller wrote: Liviu Andronic wrote: FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. That's very strange. Why would they block this? The

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files of your distribution packages. And a few weeks later a new update for your distribution arrives and replaces some of the newer files with another older but

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Manveru
2010/8/20 Jürgen Spitzmüller sp...@lyx.org: Sure. But you lose one of the most important features of TeXLive: immediate update to the most recent packages from CTAN. But that strategy is equal for *buntu itself. You are frozen to packages version coming with *buntu release. The only exception

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Julien Rioux
On 20/08/2010 7:29 AM, Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files of your distribution packages. And a few weeks later a new update for your distribution arrives and replaces some of the newer files

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Rob Oakes
On Aug 20, 2010, at 7:33 AM, Jürgen Spitzmüller wrote: Sure. But you lose one of the most important features of TeXLive: immediate update to the most recent packages from CTAN. I think it really depends on your needs. The question for the user becomes, how often do you really need to

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Rob Oakes
This is how, after all, python packages are managed (through setup.py). But I agree if you really need this, advanced users can figure it out by themselves. I can only dream. I'm not sure that it's that simple. (Or if it is, I really need to learn more about packaging!) I maintain a

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Julien Rioux
On 20/08/2010 10:49 AM, Rob Oakes wrote: This is how, after all, python packages are managed (through setup.py). But I agree if you really need this, advanced users can figure it out by themselves. I can only dream. I'm not sure that it's that simple. (Or if it is, I really need to learn

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Rob Oakes wrote: Sure. But you lose one of the most important features of TeXLive: immediate update to the most recent packages from CTAN. I think it really depends on your needs. I could not agree more. The question for the user becomes, how often do you really need to update your

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Liviu Andronic
Hello Rob On Tue, Aug 17, 2010 at 6:45 PM, Rob Oakes rob.oa...@oak-tree.us wrote: PS, if there is interest from the developer/user community, I would also be happy to create a PPA for the latest alpha of LyX 2 (or we on the betas yet?).  To prevent it from destroying your system, though, I

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Liviu Andronic
On Fri, Aug 20, 2010 at 2:40 AM, Julien Rioux jri...@physics.utoronto.ca wrote: FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. That's very strange. Why would they block this? Liviu -- Do you know how to

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread ehud.kap...@gmail.com
I have had the same question about the TexLive package manager (tlmgr) for a while now. When you install tl2009 on Windows you get tlmgr. In Linux you don't (unless you install from sources, apparently). Ehud Kaplan On 8/20/2010 6:23 AM, Liviu Andronic wrote: On Fri, Aug 20, 2010 at 2:40

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Liviu Andronic wrote: FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. That's very strange. Why would they block this? The argument, AFAIU, is that the distributors do not want yet another package

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Sven Hoexter
On Fri, Aug 20, 2010 at 12:53:32PM +0200, Jürgen Spitzmüller wrote: Liviu Andronic wrote: FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. That's very strange. Why would they block this? The

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files of your distribution packages. And a few weeks later a new update for your distribution arrives and replaces some of the newer files with another older but

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Manveru
2010/8/20 Jürgen Spitzmüller sp...@lyx.org: Sure. But you lose one of the most important features of TeXLive: immediate update to the most recent packages from CTAN. But that strategy is equal for *buntu itself. You are frozen to packages version coming with *buntu release. The only exception

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Julien Rioux
On 20/08/2010 7:29 AM, Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files of your distribution packages. And a few weeks later a new update for your distribution arrives and replaces some of the newer files

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Rob Oakes
On Aug 20, 2010, at 7:33 AM, Jürgen Spitzmüller wrote: Sure. But you lose one of the most important features of TeXLive: immediate update to the most recent packages from CTAN. I think it really depends on your needs. The question for the user becomes, how often do you really need to

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Rob Oakes
This is how, after all, python packages are managed (through setup.py). But I agree if you really need this, advanced users can figure it out by themselves. I can only dream. I'm not sure that it's that simple. (Or if it is, I really need to learn more about packaging!) I maintain a

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Julien Rioux
On 20/08/2010 10:49 AM, Rob Oakes wrote: This is how, after all, python packages are managed (through setup.py). But I agree if you really need this, advanced users can figure it out by themselves. I can only dream. I'm not sure that it's that simple. (Or if it is, I really need to learn

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Rob Oakes wrote: Sure. But you lose one of the most important features of TeXLive: immediate update to the most recent packages from CTAN. I think it really depends on your needs. I could not agree more. The question for the user becomes, how often do you really need to update your

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Liviu Andronic
Hello Rob On Tue, Aug 17, 2010 at 6:45 PM, Rob Oakes wrote: > PS, if there is interest from the developer/user community, I would also be > happy to create a PPA for the latest alpha of LyX 2 (or we on the betas > yet?).  To prevent it from destroying your system, though,

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Liviu Andronic
On Fri, Aug 20, 2010 at 2:40 AM, Julien Rioux wrote: > FYI> Although this is true, you cannot use the texlive 2009 package manager > when texlive 2009 is installed from the ubuntu repository. > That's very strange. Why would they block this? Liviu -- Do you know

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread ehud.kap...@gmail.com
I have had the same question about the TexLive package manager (tlmgr) for a while now. When you install tl2009 on Windows you get tlmgr. In Linux you don't (unless you install from sources, apparently). Ehud Kaplan On 8/20/2010 6:23 AM, Liviu Andronic wrote: On Fri, Aug 20, 2010 at 2:40

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Liviu Andronic wrote: > > FYI> Although this is true, you cannot use the texlive 2009 package > > manager when texlive 2009 is installed from the ubuntu repository. > > That's very strange. Why would they block this? The argument, AFAIU, is that the distributors do not want yet another package

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Sven Hoexter
On Fri, Aug 20, 2010 at 12:53:32PM +0200, Jürgen Spitzmüller wrote: > Liviu Andronic wrote: > > > FYI> Although this is true, you cannot use the texlive 2009 package > > > manager when texlive 2009 is installed from the ubuntu repository. > > > > That's very strange. Why would they block this? >

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Sven Hoexter wrote: > The Problem is that you often end up with a mess because some third party > installers/package manager overwrite files of your distribution packages. > And a few weeks later a new update for your distribution arrives and > replaces some of the newer files with another older

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Manveru
2010/8/20 Jürgen Spitzmüller : > Sure. But you lose one of the most important features of TeXLive: immediate > update to the most recent packages from CTAN. But that strategy is equal for *buntu itself. You are frozen to packages version coming with *buntu release. The only

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Julien Rioux
On 20/08/2010 7:29 AM, Sven Hoexter wrote: The Problem is that you often end up with a mess because some third party installers/package manager overwrite files of your distribution packages. And a few weeks later a new update for your distribution arrives and replaces some of the newer files

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Rob Oakes
On Aug 20, 2010, at 7:33 AM, Jürgen Spitzmüller wrote: > Sure. But you lose one of the most important features of TeXLive: immediate > update to the most recent packages from CTAN. I think it really depends on your needs. The question for the user becomes, how often do you really need to

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Rob Oakes
> This is how, after all, python packages are managed (through setup.py). But I > agree if you really need this, advanced users can figure it out by > themselves. I can only dream. I'm not sure that it's that simple. (Or if it is, I really need to learn more about packaging!) I maintain a

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Julien Rioux
On 20/08/2010 10:49 AM, Rob Oakes wrote: This is how, after all, python packages are managed (through setup.py). But I agree if you really need this, advanced users can figure it out by themselves. I can only dream. I'm not sure that it's that simple. (Or if it is, I really need to learn

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-20 Thread Jürgen Spitzmüller
Rob Oakes wrote: > > Sure. But you lose one of the most important features of TeXLive: > > immediate update to the most recent packages from CTAN. > > I think it really depends on your needs. I could not agree more. > The question for the user > becomes, how often do you really need to update

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Ignacio García
Rob Oakes wrote: I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu (Maverick Meerkat, 10.10).

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Fareed Qureshi
On 08/19/2010 04:24 AM, Ignacio García wrote: I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Rob Oakes
Hi Fareed, Does this new LyX package depend on the the TexLive in Ubuntu's repositories? Ubuntu's version of TexLive was out-of-date for a long time, so I installed TexLive 2009 directly from its net installer, to use its latex package manager. As a result I've had to install any latex related

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Julien Rioux
On 19/08/2010 7:28 PM, Rob Oakes wrote: However, Ubuntu updated the version of LaTeX to TeXLive 2009 in 10.04. FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. -- Julien

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Ignacio García
Rob Oakes wrote: I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu (Maverick Meerkat, 10.10).

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Fareed Qureshi
On 08/19/2010 04:24 AM, Ignacio García wrote: I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Rob Oakes
Hi Fareed, Does this new LyX package depend on the the TexLive in Ubuntu's repositories? Ubuntu's version of TexLive was out-of-date for a long time, so I installed TexLive 2009 directly from its net installer, to use its latex package manager. As a result I've had to install any latex related

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Julien Rioux
On 19/08/2010 7:28 PM, Rob Oakes wrote: However, Ubuntu updated the version of LaTeX to TeXLive 2009 in 10.04. FYI Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. -- Julien

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Ignacio García
Rob Oakes wrote: > I wanted to provide a bit of an update to my adventures with Ubuntu packaging > (insofar as they are related to LyX). > I've spoken with the Ubuntu developers, and they have granted our request to > include 1.6.7 in the next version of Ubuntu (Maverick Meerkat, 10.10). >

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Fareed Qureshi
On 08/19/2010 04:24 AM, Ignacio García wrote: > I wanted to provide a bit of an update to my adventures with Ubuntu packaging > (insofar as they are related to LyX). > I've spoken with the Ubuntu developers, and they have granted our request to > include 1.6.7 in the next version of Ubuntu

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Rob Oakes
Hi Fareed, Does this new LyX package depend on the the TexLive in Ubuntu's repositories? Ubuntu's version of TexLive was out-of-date for a long time, so I installed TexLive 2009 directly from its net installer, to use its latex package manager. As a result I've had to install any latex related

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-19 Thread Julien Rioux
On 19/08/2010 7:28 PM, Rob Oakes wrote: However, Ubuntu updated the version of LaTeX to TeXLive 2009 in 10.04. FYI> Although this is true, you cannot use the texlive 2009 package manager when texlive 2009 is installed from the ubuntu repository. -- Julien

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-18 Thread Manveru
2010/8/17 Pavel Sanda sa...@lyx.org: Rob Oakes wrote:  Dear LyX Users and Developers, firstly, thanks to care about ubuntu repos. the most frequent bug report is the combination of lyx 1.6.5 qt-4.6 in lynx; dont know if buntu's policies permit this but it would be great if all buntu users

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-18 Thread Manveru
2010/8/17 Pavel Sanda sa...@lyx.org: Rob Oakes wrote:  Dear LyX Users and Developers, firstly, thanks to care about ubuntu repos. the most frequent bug report is the combination of lyx 1.6.5 qt-4.6 in lynx; dont know if buntu's policies permit this but it would be great if all buntu users

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-18 Thread Manveru
2010/8/17 Pavel Sanda : > Rob Oakes wrote: >>  Dear LyX Users and Developers, > > firstly, thanks to care about ubuntu repos. the most frequent bug report > is the combination of lyx 1.6.5 & qt-4.6 in lynx; dont know if buntu's > policies permit this but it would be great if all

LyX 1.6.7 Packages for Ubuntu

2010-08-17 Thread Rob Oakes
Dear LyX Users and Developers, I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu (Maverick Meerkat,

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-17 Thread Pavel Sanda
Rob Oakes wrote: Dear LyX Users and Developers, firstly, thanks to care about ubuntu repos. the most frequent bug report is the combination of lyx 1.6.5 qt-4.6 in lynx; dont know if buntu's policies permit this but it would be great if all buntu users got 1.6.7 automatically updated through

LyX 1.6.7 Packages for Ubuntu

2010-08-17 Thread Rob Oakes
Dear LyX Users and Developers, I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu (Maverick Meerkat,

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-17 Thread Pavel Sanda
Rob Oakes wrote: Dear LyX Users and Developers, firstly, thanks to care about ubuntu repos. the most frequent bug report is the combination of lyx 1.6.5 qt-4.6 in lynx; dont know if buntu's policies permit this but it would be great if all buntu users got 1.6.7 automatically updated through

LyX 1.6.7 Packages for Ubuntu

2010-08-17 Thread Rob Oakes
Dear LyX Users and Developers, I wanted to provide a bit of an update to my adventures with Ubuntu packaging (insofar as they are related to LyX). I've spoken with the Ubuntu developers, and they have granted our request to include 1.6.7 in the next version of Ubuntu (Maverick Meerkat,

Re: LyX 1.6.7 Packages for Ubuntu

2010-08-17 Thread Pavel Sanda
Rob Oakes wrote: > Dear LyX Users and Developers, firstly, thanks to care about ubuntu repos. the most frequent bug report is the combination of lyx 1.6.5 & qt-4.6 in lynx; dont know if buntu's policies permit this but it would be great if all buntu users got 1.6.7 automatically updated through